%define upstream_name Dist-Zilla-Plugin-MetaYAML-Minimal
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Generate a reductionist YAML META file for compatibility only
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::FileGatherer)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
Generally, if you're creating both "META.json" and "META.yml", then
you're doing so purely for compatibility reasons.

In such circumstances, using the same meta-data for both leads to a lot
of cruft in "META.yml"

This "Dist::Zilla" extension is for such circumstances.

However, if you are *only* shipping "META.yml" and NOT "META.json", then
using this extension would be harmful and cause loss of information.

Presently, this extension is a *PROTOTYPE*, and just culls fields
leading with "x_" passed by "Dist::Zilla".

The final behavior may require enhancements to "CPAN::Meta::Converter"
and might be possibly superseded by patches to "MetaYAML" itself.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.1-5.mga10
+ Revision: 2203624
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.1-4.mga9
+ Revision: 1808952
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-3.mga8
+ Revision: 1504071
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.1-2.mga7
+ Revision: 1283101
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.1.1-1.mga7
+ Revision: 1125969
- update to 0.001001

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026378
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968219
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851622
- imported package perl-Dist-Zilla-Plugin-MetaYAML-Minimal

